#include <iostream>
using namespace std;

int main()
{

    int x,y,rez=0;
    cin >> x >> y;
    if(y>x)
        swap(x,y);
    while(x)
    {
        if(x%10>y%10)
            rez=rez*10+x%10;
        else
        {
            if(x%10<y%10)
                rez=rez*10+y%10;
            else
                rez=rez*100+(x%10)*11;
        }
        x/=10;
        y/=10;
        if(y==0)
            y=-1;
    }
    while(rez)
    {
        cout << rez%10;
        rez/=10;
    }

    return 0;
}